[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [linux-lvm] lvm2 install problem



On Mon, Jun 21, 2004 at 10:00:05AM +0200, Moha Snipa1 wrote:
> hello,
> 
> i have a problem when I try to install the LVM2!
> well, I use a 2.6.7 kernel with device mapper support...
> I have installed device-mapper.1.00.07 and now i try to install LVM2.2.
> 00.16 but I get this error message!
> 
> 
> gcc -c -I. -I../include -DLVM1_INTERNAL -DSNAPSHOT_INTERNAL 
> -DMIRRORED_INTERNAL -DDEVMAPPER_SUPPORT -DO_DIRECT_SUPPORT 
> -DHAVE_LIBDL -DHAVE_GETOPTLONG -fPIC -Wall -Wundef -Wshadow 
> -Wcast-align -Wwrite-strings -Wmissing-prototypes 
> -Wmissing-declarations -Wnested-externs -Winline -O2 cache/lvmcache.
> c -o cache/lvmcache.o
> activate/activate.c: In function `target_present':
> activate/activate.c:302: `DM_DEVICE_LIST_VERSIONS' undeclared (first 
> use in this function)
> activate/activate.c:302: (Each undeclared identifier is reported only once
> activate/activate.c:302: for each function it appears in.)

Sounds like a missing or out-of-date device-mapper.

patrick

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]